#!/bin/csh
#$Id: testall.sh,v 1.8 2008/05/22 21:28:50 atulskulkarni Exp $

# Copyright (C) 2008
# Atul Kulkarni, University of Minnesota, Duluth
# kulka053@d.umn.edu
# Ted Pedersen, University of Minnesota, Duluth
# tpederse@d.umn.edu

#############################################################################
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

##############################################################################

if( $1 != "") then
tar -xzvf ./testdata.tar.gz
set dirlist = `ls`
foreach dir ($dirlist)
	if(-d $dir && $dir != "testdata") then
		cd $dir
			echo "In Directory $dir"
			if(-e "normal-op.sh") then
			./normal-op.sh ../$1 $2
			endif
			if(-e "error-op.sh") then
				./error-op.sh
			endif
		cd ..
	endif
end
else
echo "Usage: ./testall.sh <Home DIR for WePS data.>"
echo "required parameter Home to WePS data not provided. Aborting..."
endif
